|
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [xen master] CI: Add a Debian 13 (Trixie) arm64 container
commit eac95d129db499cbc7dd7fbf60995160a616f6fe
Author: Andrew Cooper <andrew.cooper3@xxxxxxxxxx>
AuthorDate: Fri May 8 20:48:44 2026 +0100
Commit: Andrew Cooper <andrew.cooper3@xxxxxxxxxx>
CommitDate: Fri May 29 23:13:02 2026 +0100
CI: Add a Debian 13 (Trixie) arm64 container
Exactly as per the Bookworm container, but additionally with the ipxe-qemu
and
qemu-system-aarch64 packages. These will be used to remove the export jobs.
Switch qemu-arm{32,64} test jobs to use this container, and add two new
build
tests.
No functional change.
Signed-off-by: Andrew Cooper <andrew.cooper3@xxxxxxxxxx>
Reviewed-by: Michal Orzel <michal.orzel@xxxxxxx>
---
automation/build/debian/13-arm64v8.dockerfile | 71 +++++++++++++++++++++++++++
automation/gitlab-ci/build.yaml | 10 ++++
automation/gitlab-ci/test.yaml | 4 +-
automation/scripts/containerize | 1 +
4 files changed, 84 insertions(+), 2 deletions(-)
diff --git a/automation/build/debian/13-arm64v8.dockerfile
b/automation/build/debian/13-arm64v8.dockerfile
new file mode 100644
index 0000000000..b9062ee8b4
--- /dev/null
+++ b/automation/build/debian/13-arm64v8.dockerfile
@@ -0,0 +1,71 @@
+# syntax=docker/dockerfile:1
+FROM --platform=linux/arm64/v8 debian:trixie-slim
+LABEL maintainer.name="The Xen Project"
+LABEL maintainer.email="xen-devel@xxxxxxxxxxxxxxxxxxxx"
+
+ENV DEBIAN_FRONTEND=noninteractive
+
+RUN <<EOF
+#!/bin/bash
+ set -eu
+
+ useradd --create-home user
+
+ apt-get update
+
+ DEPS=(
+ # Xen
+ bison
+ build-essential
+ checkpolicy
+ flex
+
+ # Tools (general)
+ ca-certificates
+ cpio
+ git-core
+ pkg-config
+ wget
+ # libxenguest dombuilder
+ libbz2-dev
+ liblzma-dev
+ liblzo2-dev
+ libzstd-dev
+ zlib1g-dev
+ # libacpi
+ acpica-tools
+ # libxl
+ libfdt-dev
+ libjson-c-dev
+ uuid-dev
+ # xentop
+ libncurses5-dev
+ # Python bindings
+ python3-dev
+ python3-setuptools
+ # Golang bindings
+ golang-go
+ # Ocaml bindings/oxenstored
+ ocaml-nox
+ ocaml-findlib
+
+ # for test phase, qemu-* jobs
+ busybox-static
+ curl
+ device-tree-compiler
+ expect
+ file
+ ipxe-qemu
+ ovmf
+ qemu-system-aarch64
+ u-boot-qemu
+ u-boot-tools
+ )
+
+ apt-get -y --no-install-recommends install "${DEPS[@]}"
+
+ rm -rf /var/lib/apt/lists*
+EOF
+
+USER user
+WORKDIR /build
diff --git a/automation/gitlab-ci/build.yaml b/automation/gitlab-ci/build.yaml
index 128b5f45cb..a1acf2e827 100644
--- a/automation/gitlab-ci/build.yaml
+++ b/automation/gitlab-ci/build.yaml
@@ -424,6 +424,16 @@ debian-12-arm64-gcc-debug:
variables:
CONTAINER: debian:12-arm64v8
+debian-13-arm64-gcc:
+ extends: .gcc-arm64-build
+ variables:
+ CONTAINER: debian:13-arm64v8
+
+debian-13-arm64-gcc-debug:
+ extends: .gcc-arm64-build-debug
+ variables:
+ CONTAINER: debian:13-arm64v8
+
alpine-3.18-gcc-arm64:
extends: .gcc-arm64-build
<<: *build-test
diff --git a/automation/gitlab-ci/test.yaml b/automation/gitlab-ci/test.yaml
index 982fd86db0..008deef98d 100644
--- a/automation/gitlab-ci/test.yaml
+++ b/automation/gitlab-ci/test.yaml
@@ -37,7 +37,7 @@
.qemu-arm64:
extends: .test-jobs-common
variables:
- CONTAINER: debian:12-arm64v8
+ CONTAINER: debian:13-arm64v8
LOGFILE: qemu-smoke-arm64.log
artifacts:
paths:
@@ -50,7 +50,7 @@
.qemu-arm32:
extends: .test-jobs-common
variables:
- CONTAINER: debian:12-arm64v8
+ CONTAINER: debian:13-arm64v8
LOGFILE: qemu-smoke-arm32.log
artifacts:
paths:
diff --git a/automation/scripts/containerize b/automation/scripts/containerize
index bda06054eb..8bd2a847aa 100755
--- a/automation/scripts/containerize
+++ b/automation/scripts/containerize
@@ -41,6 +41,7 @@ case "_${CONTAINER}" in
_bookworm-arm64v8-arm32) CONTAINER="${BASE}/debian:12-arm64v8-arm32" ;;
_bookworm-arm64v8) CONTAINER="${BASE}/debian:12-arm64v8" ;;
_bookworm-cppcheck) CONTAINER="${BASE}/debian:12-arm64v8-cppcheck" ;;
+ _trixie-arm64v8) CONTAINER="${BASE}/debian:13-arm64v8" ;;
_opensuse-leap|_leap) CONTAINER="${BASE}/opensuse:leap-15.6-x86_64" ;;
_opensuse-tumbleweed|_tumbleweed)
CONTAINER="${BASE}/opensuse:tumbleweed-x86_64" ;;
_xenial) CONTAINER="${BASE}/ubuntu:16.04-x86_64" ;;
--
generated by git-patchbot for /home/xen/git/xen.git#master
|
![]() |
Lists.xenproject.org is hosted with RackSpace, monitoring our |